Bug 174379 - plague server claims that "." is illegal character in package name
plague server claims that "." is illegal character in package name
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: plague (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-28 12:37 EST by Jeffrey C. Ollie
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-29 11:38:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeffrey C. Ollie 2005-11-28 12:37:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051118 Fedora/1.5-0.5.0.rc3 Firefox/1.5

Description of problem:
"." is a valid character in RPM package names, as evidenced by the openoffice.org-* packages and probably many others.  Adding "." to the list of safe characters in validate_package_name fixes the problem.

Version-Release number of selected component (if applicable):
plague-0.4.2-7

How reproducible:
Always

Steps to Reproduce:
$ plague-client build openpbx.org openpbx.org-0.1-0.84.r1128.src.rpm fedora-4-ollie


Actual Results:  Server returned an error: The package name contained an illegal character.

Expected Results:  Package openpbx.org enqueued.  Job ID: 2.

Additional info:
Comment 1 Dan Williams 2005-11-29 11:38:49 EST
Should be fixed in latest plague packages in Extras.

Note You need to log in before you can comment on or make changes to this bug.